{% extends 'base.html' %}
{% load crispy_forms_filters %}
{% load crispy_forms_tags %}

{% block main %}
    <style>
        profile-pic {
            max-width: 200px;
            max-height: 200px;
            margin: 0 auto;
            border-radius: 50%;
        }
    </style>

    <br>
    <div id="wrapper">
        <div class="inner">
            <div class="row">
                <div class="col-md-3">
                    <div class="card card-body">
                        <a class="btn btn-warning"
                           href="{% url 'users:profile' %}"> &#8612;Back to profile
                        </a>
                        <br>
                        <a class="btn btn-warning"
                           href="{% url 'users:change_password' %}">Change Password
                        </a>
                        <br>
                        <a class="btn btn-warning"
                           href="{% url 'users:change_email' %}">Change Email
                        </a>

                        <hr>
                        <h3 style="text-align: center">Account Settings</h3>
                        <hr>
                        <p style="text-align: center">{{ user.first_name }} {{ user.last_name }}</p>
                        <img class="profile-pic" src="{{ user.avatarURL }}">

                    </div>
                </div>

                <div class="col-md-9">
                    <div class="card card-body">
                        <form method="POST" action="" enctype="multipart/form-data">
                            {% csrf_token %}
                            {{ form.first_name | as_crispy_field }}
                            {{ form.last_name | as_crispy_field }}
                            {{ form.phone_no | as_crispy_field }}
                            {{ form.country | as_crispy_field }}
                            {{ form.county | as_crispy_field }}
                            {{ form.city | as_crispy_field }}
                            {{ form.street | as_crispy_field }}
                            {{ form.zip_code | as_crispy_field }}
                            {{ form.thumbnail | as_crispy_field }}
                            {{ form.email_communication | as_crispy_field }}
                            {{ form.mail_communication | as_crispy_field }}
                            {{ form.phone_communication | as_crispy_field }}
                            <input class="btn btn-primary" type="submit" value="Update" name="Update Information">
                        </form>
                    </div>
                </div>

            </div>
        </div>
    </div>
{% endblock %}